Subject: Re: [PATCH] skge: fix invalid value passed to pci_unmap_sigle

From: Sergei Shtylyov <[email-masked]>
Date: Sun, 22 Sep 2013 02:12:52 +0400

Hello.

On 09/20/2013 09:53 PM, Mikulas Patocka wrote:

> In my patch c194992cbe71c20bb3623a566af8d11b0bfaa721 I didn't fix the skge

    Please also specify that commit's summary in parens.

> bug correctly. The value of the new mapping (not old) was passed to
> pci_unmap_single.

> If we enable CONFIG_DMA_API_DEBUG, it results in this warning:
> WARNING: CPU: 0 PID: 0 at lib/dma-debug.c:986 check_sync+0x4c4/0x580()
> skge 0000:02:07.0: DMA-API: device driver tries to sync DMA memory it has
> not allocated [device address=0x000000023a0096c0] [size=1536 bytes]

> This patch makes the skge driver pass the correct value to
> pci_unmap_single and fixes the warning. It copies the old descriptor to
> on-stack variable "ee" and unmaps it if mapping of the new descriptor
> succeeded.

> This patch should be backported to 3.11-stable.

> Signed-off-by: Mikulas Patocka <[email-masked]>
> Reported-by: Francois Romieu <[email-masked]>
> Tested-by: Mikulas Patocka <[email-masked]>

WBR, Sergei